Package org.eclipse.core.runtime

# Interface ILogListener

All Superinterfaces:
  `EventListener`

public interface ILogListener extends EventListener
A log listener is notified of entries added to a plug-in's log.

This interface can be used without OSGi running.

Clients may implement this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`logging(IStatus status, String plugin)`
Notifies this listener that given status has been logged by a plug-in.

## Method Details

### logging

void logging(IStatus status, String plugin)
Notifies this listener that given status has been logged by a plug-in. The listener is free to retain or ignore this status.

Parameters:
  `status` - the status being logged
  `plugin` - the plugin of the log which generated this event